ServletRenderContext (Grails 6.0.0)

Package: org.grails.plugins.web.rest.render

## [Groovy] Class ServletRenderContext

- org.grails.plugins.web.rest.render.ServletRenderContext

-     @groovy.transform.CompileStatic
      class ServletRenderContext
      extends AbstractRenderContext

  RenderContext for the servlet environment

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, java.lang.Object>` | `arguments` |
    `private java.lang.String` | `resourcePath` |
    `private GrailsWebRequest` | `webRequest` |
    `private boolean` | `writerObtained` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractRenderContext` | `arguments, excludes, includes`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, java.lang.Object>` | `arguments`
    `java.lang.String` | `resourcePath`
    `java.lang.String` | `viewName`
    `GrailsWebRequest` | `webRequest`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ServletRenderContext (GrailsWebRequest webRequest)`
    `ServletRenderContext (GrailsWebRequest webRequest, java.util.Map<java.lang.String, java.lang.Object> arguments)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MimeType` | `getAcceptMimeType()`
    `` | `java.lang.String` | `getActionName()`
    `` | `java.lang.String` | `getControllerName()`
    `` | `java.lang.String` | `getControllerNamespace()`
    `` | `org.springframework.http.HttpMethod` | `getHttpMethod()`
    `` | `java.util.Locale` | `getLocale()`
    `` | `protected org.springframework.web.servlet.ModelAndView` | `getModelAndView()`
    `` | `java.lang.String` | `getResourcePath()`
    `` | `java.lang.String` | `getViewName()`
    `` | `java.io.Writer` | `getWriter()`
    `` | `void` | `setContentType(java.lang.String contentType)`
    `` | `void` | `setModel(java.util.Map model)`
    `` | `void` | `setResourcePath(java.lang.String resourcePath)`
    `` | `void` | `setStatus(org.springframework.http.HttpStatus status)`
    `` | `void` | `setViewName(java.lang.String viewName)`
    `` | `boolean` | `wasWrittenTo()`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, java.lang.Object> arguments

    - #### private java.lang.String resourcePath

    - #### private GrailsWebRequest webRequest

    - #### private boolean writerObtained

  - ### Property Detail

    - #### java.util.Map<java.lang.String, java.lang.Object> arguments

    - #### java.lang.String resourcePath

    - #### java.lang.String viewName

    - #### GrailsWebRequest webRequest

  - ### Constructor Detail

    - #### ServletRenderContext(GrailsWebRequest webRequest)

    - #### ServletRenderContext(GrailsWebRequest webRequest, java.util.Map<java.lang.String, java.lang.Object> arguments)

  - ### Method Detail

    - #### @java.lang.Override @groovy.transform.CompileStatic(value: TypeCheckingMode.SKIP) MimeType getAcceptMimeType()

    - #### @java.lang.Override java.lang.String getActionName()

    - #### @java.lang.Override java.lang.String getControllerName()

    - #### @java.lang.Override java.lang.String getControllerNamespace()

    - #### @java.lang.Override org.springframework.http.HttpMethod getHttpMethod()

    - #### @java.lang.Override java.util.Locale getLocale()

    - #### protected org.springframework.web.servlet.ModelAndView getModelAndView()

    - #### @java.lang.Override java.lang.String getResourcePath()

    - #### @java.lang.Override java.lang.String getViewName()

    - #### @java.lang.Override java.io.Writer getWriter()

    - #### @java.lang.Override void setContentType(java.lang.String contentType)

    - #### @java.lang.Override void setModel(java.util.Map model)

    - #### void setResourcePath(java.lang.String resourcePath)

    - #### @java.lang.Override void setStatus(org.springframework.http.HttpStatus status)

    - #### @java.lang.Override void setViewName(java.lang.String viewName)

    - #### @java.lang.Override boolean wasWrittenTo()